import{s as U,n as j,o as B}from"../chunks/scheduler.c59d9fbb.js";import{S as D,i as N,g as f,s,r as E,A as O,h as g,f as a,c as o,j as q,u as R,x as k,k as F,y as V,a as r,v as z,d as A,t as G,w as I}from"../chunks/index.a47918e3.js";import{H as J,E as K}from"../chunks/EditOnGithub.813e7c73.js";function Q(C){let n,b,p,w,l,v,d,H='🤗 SetFit is an efficient and prompt-free framework for few-shot fine-tuning of <a href="https://sbert.net/" rel="nofollow">Sentence Transformers</a>. It achieves high accuracy with little labeled data - for instance, with only 8 labeled examples per class on the Customer Reviews sentiment dataset, 🤗 SetFit is competitive with fine-tuning RoBERTa Large on the full training set of 3k examples!',x,u,L="Compared to other few-shot learning methods, SetFit has several unique features:",y,c,P='<li>🗣 <strong>No prompts or verbalizers:</strong> Current techniques for few-shot fine-tuning require handcrafted prompts or verbalizers to convert examples into a format suitable for the underlying language model. SetFit dispenses with prompts altogether by generating rich embeddings directly from text examples.</li> <li>🏎 <strong>Fast to train:</strong> SetFit doesn’t require large-scale models like T0, Llama or GPT-4 to achieve high accuracy. As a result, it is typically an order of magnitude (or more) faster to train and run inference with.</li> <li>🌎 <strong>Multilingual support</strong>: SetFit can be used with any <a href="https://huggingface.co/models?library=sentence-transformers&amp;sort=downloads" rel="nofollow">Sentence Transformer</a> on the Hub, which means you can classify text in multiple languages by simply fine-tuning a multilingual checkpoint.</li>',_,i,M='<div class="w-full flex flex-col space-y-4 md:space-y-0 md:grid md:grid-cols-2 md:gap-y-4 md:gap-x-5"><a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./tutorials/overview"><div class="w-full text-center bg-gradient-to-br from-blue-400 to-blue-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">Tutorials</div> <p class="text-gray-700">Learn the basics and become familiar with loading pretrained Sentence Transformers and fine-tuning them on data. Start here if you are using 🤗 SetFit for the first time!</p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./how_to/overview"><div class="w-full text-center bg-gradient-to-br from-indigo-400 to-indigo-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">How-to guides</div> <p class="text-gray-700">Practical guides to help you achieve a specific goal. Take a look at these guides to learn how to use 🤗 SetFit to solve real-world problems.</p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./conceptual_guides/setfit"><div class="w-full text-center bg-gradient-to-br from-pink-400 to-pink-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">Conceptual guides</div> <p class="text-gray-700">High-level explanations for building a better understanding about important topics such as few-shot and contrastive learning.</p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./reference/main"><div class="w-full text-center bg-gradient-to-br from-purple-400 to-purple-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">Reference</div> <p class="text-gray-700">Technical descriptions of how 🤗 SetFit classes and methods work.</p></a></div>',S,m,$,h,T;return l=new J({props:{title:"SetFit",local:"setfit",headingTag:"h1"}}),m=new K({props:{source:"https://github.com/huggingface/setfit/blob/main/docs/source/en/index.mdx"}}),{c(){n=f("meta"),b=s(),p=f("p"),w=s(),E(l.$$.fragment),v=s(),d=f("p"),d.innerHTML=H,x=s(),u=f("p"),u.textContent=L,y=s(),c=f("ul"),c.innerHTML=P,_=s(),i=f("div"),i.innerHTML=M,S=s(),E(m.$$.fragment),$=s(),h=f("p"),this.h()},l(e){const t=O("svelte-u9bgzb",document.head);n=g(t,"META",{name:!0,content:!0}),t.forEach(a),b=o(e),p=g(e,"P",{}),q(p).forEach(a),w=o(e),R(l.$$.fragment,e),v=o(e),d=g(e,"P",{"data-svelte-h":!0}),k(d)!=="svelte-r2lb90"&&(d.innerHTML=H),x=o(e),u=g(e,"P",{"data-svelte-h":!0}),k(u)!=="svelte-shg4rg"&&(u.textContent=L),y=o(e),c=g(e,"UL",{"data-svelte-h":!0}),k(c)!=="svelte-17igggb"&&(c.innerHTML=P),_=o(e),i=g(e,"DIV",{class:!0,"data-svelte-h":!0}),k(i)!=="svelte-9yz7o6"&&(i.innerHTML=M),S=o(e),R(m.$$.fragment,e),$=o(e),h=g(e,"P",{}),q(h).forEach(a),this.h()},h(){F(n,"name","hf:doc:metadata"),F(n,"content",W),F(i,"class","mt-10")},m(e,t){V(document.head,n),r(e,b,t),r(e,p,t),r(e,w,t),z(l,e,t),r(e,v,t),r(e,d,t),r(e,x,t),r(e,u,t),r(e,y,t),r(e,c,t),r(e,_,t),r(e,i,t),r(e,S,t),z(m,e,t),r(e,$,t),r(e,h,t),T=!0},p:j,i(e){T||(A(l.$$.fragment,e),A(m.$$.fragment,e),T=!0)},o(e){G(l.$$.fragment,e),G(m.$$.fragment,e),T=!1},d(e){e&&(a(b),a(p),a(w),a(v),a(d),a(x),a(u),a(y),a(c),a(_),a(i),a(S),a($),a(h)),a(n),I(l,e),I(m,e)}}}const W='{"title":"SetFit","local":"setfit","sections":[],"depth":1}';function X(C){return B(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class te extends D{constructor(n){super(),N(this,n,X,Q,U,{})}}export{te as component};
